Bug 165637 - AttributeError: 'for d in r.drive:' error with RAID & LVM autopartitioning
AttributeError: 'for d in r.drive:' error with RAID & LVM autopartitioning
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-10 19:18 EDT by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 17:06:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2005-08-10 19:18:30 EDT
Disk setup pre-Anaconda:

sda: boot drive, currently has 100MB ext3 and rest is LVM, but will get wiped
during install and repartitioned

md0 (RAID1): sdb sdc
md1 (RAID1): sdd sde

sdb, sdc, sdd, sde all have 1 partition (Software RAID) taking up their entire
disk space.  All RAID disks are the same size, 18GB.

md0 and md1 were (in a previous install attempt) both members of the same LVM
Volume Group.  The idea was to simulate RAID 1+0 by using LVM to stripe the
logical volumes across the RAID1 arrays.  So they still have LVM data on the the
disk, and this seems to be what confuses Anaconda.

1) Start anaconda
2) AutoPartition, choose _only_ sda, choose "erase all partitions on this system"
3) Hit next
4) Boom

Peter said something about problems with finding LVs by name (since the existing
LVM stuff on md0/md1 had the same name as what Anaconda tried to create on sda)
and that got anaconda confused.
Comment 1 Christian Iseli 2007-01-22 05:52:22 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Red Hat Bugzilla 2007-06-11 22:53:54 EDT
requested by Jams Antill
Comment 3 Chris Lumens 2007-08-24 17:06:47 EDT
This should be fixed in a later release.

Note You need to log in before you can comment on or make changes to this bug.